### Function

# GObject param_spec_long

since: 2.0

#### Declaration

    GParamSpec*
    g_param_spec_long (
      const gchar* name,
      const gchar* nick,
      const gchar* blurb,
      glong minimum,
      glong maximum,
      glong default_value,
      GParamFlags flags
    )

#### Description

Creates a new `GParamSpecLong` instance specifying a `G_TYPE_LONG` property.

See `g_param_spec_internal()` for details on property names.

Available since: 2.0

#### Parameters

`name`

  Type: `const gchar*`

  Canonical name of the property specified.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`nick`

  Type: `const gchar*`

  Nick name for the property specified.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`blurb`

  Type: `const gchar*`

  Description of the property specified.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`minimum`

  Type: `glong`

  Minimum value for the property specified.

`maximum`

  Type: `glong`

  Maximum value for the property specified.

`default_value`

  Type: `glong`

  Default value for the property specified.

`flags`

  Type: `GParamFlags`

  Flags for the property specified.

#### Return value

Type: `GParamSpec`

A newly created parameter specification.

The caller of the function takes ownership of the data, and is responsible for freeing it.